Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Members.MapAttributeImpl<X,K,V>

    java.lang.Object
      org.apache.openjpa.persistence.meta.Members.Member<X,C>
          org.apache.openjpa.persistence.meta.Members.PluralAttributeImpl<X,Map<K,V>,V>
              org.apache.openjpa.persistence.meta.Members.MapAttributeImpl<X,K,V>

All Implemented Interfaces:
  Comparable<Members.Member<X,Map<K,V>>>, Attribute<X,Map<K,V>>, Bindable<V>, MapAttribute<X,K,V>, PluralAttribute<X,Map<K,V>,V>

Enclosing class:
  Members

    public static class Members.MapAttributeImpl<X,K,V>

extends Members.PluralAttributeImpl<X,Map<K,V>,V>
implements MapAttribute<X,K,V>

Represents attributes declared as java.util.Map<K,V> in managed type <X>.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.meta.Members.Member
`fmd, owner`

Constructor Summary
`Members.MapAttributeImpl(AbstractManagedType<X> owner, FieldMetaData fmd)`

Method Summary
`PluralAttribute.CollectionType` | `getCollectionType()`
`Class<K>` | `getKeyJavaType()`
`Type<K>` | `getKeyType()`
`Attribute.PersistentAttributeType` | `getPersistentAttributeType()` Returns the persistent category for the attribute.

Methods inherited from class org.apache.openjpa.persistence.meta.Members.PluralAttributeImpl
`getBindableJavaType, getBindableType, getElementType`

Methods inherited from class org.apache.openjpa.persistence.meta.Members.Member
`compareTo, getDeclaringType, getJavaMember, getJavaType, getName, getType, isAssociation, isCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getElementType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, isAssociation, isCollection`

Methods inherited from interface javax.persistence.metamodel.Bindable
`getBindableJavaType, getBindableType`

Constructor Detail

### Members.MapAttributeImpl

    public Members.MapAttributeImpl(AbstractManagedType<X> owner,
                                    FieldMetaData fmd)

Method Detail

### getCollectionType

    public PluralAttribute.CollectionType getCollectionType()

  Specified by:
    `getCollectionType` in interface `PluralAttribute<X,Map<K,V>,V>`

### getKeyJavaType

    public Class<K> getKeyJavaType()

  Specified by:
    `getKeyJavaType` in interface `MapAttribute<X,K,V>`

### getKeyType

    public Type<K> getKeyType()

  Specified by:
    `getKeyType` in interface `MapAttribute<X,K,V>`

### getPersistentAttributeType

    public Attribute.PersistentAttributeType getPersistentAttributeType()

  Description copied from class: `Members.Member`
  Returns the persistent category for the attribute.

  Specified by:
    `getPersistentAttributeType` in interface `Attribute<X,Map<K,V>>`
  Overrides:
    `getPersistentAttributeType` in class `Members.PluralAttributeImpl<X,Map<K,V>,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.